Actions

Difference between revisions of "Installing Python and Pygame"

From HacDC Wiki

(Created page with "== Windows === == Mac osx == == Linux == If you are running a recent version of your distro, chances are you may already have python 2.6 or 2.7 installed. If that is the case you")
 
Line 1: Line 1:
== Windows ===
== Windows ==
You can download python from [http://python.org/download/releases/2.7.1/ Python 2.7 release], get the Windows installer and run it.
 
After that, you are ready to install pygame, which can be obtained from [http://www3.telus.net/len_l/pygame/ Pygame releases for Windows], make sure you get the one for 2.7. Once you run the installer you should be good to go.


== Mac osx ==
== Mac osx ==
'''OS X 10.6.* (Snow Leopard)'''
You already have python 2.6 installed. You need only then to download the pygame installer at [http://www.pygame.org/download.shtml Pygame releases], you will find the snow leopard installer at the bottom of the OS X section.
'''OS X 10.5 and below '''
Earlier versions are running an older version of python, so you may want to install python [http://python.org/download/releases/2.7.1/ 2.6] or [http://python.org/download/releases/2.7.1/ 2.7] and follow that with the appropriate pygame installer from [http://www.pygame.org/download.shtml Pygame releases]


== Linux ==
== Linux ==
 
If you are running a recent version of your distro, chances are you may already have python 2.6 or 2.7 installed. If that is the case you can go ahead and install pygame using your package manager (in the case of ubuntu the package is python-pygame).
If you are running a recent version of your distro, chances are you may already have python 2.6 or 2.7 installed. If that is the case you

Revision as of 18:48, 17 May 2011

Windows

You can download python from Python 2.7 release, get the Windows installer and run it.

After that, you are ready to install pygame, which can be obtained from Pygame releases for Windows, make sure you get the one for 2.7. Once you run the installer you should be good to go.

Mac osx

OS X 10.6.* (Snow Leopard) You already have python 2.6 installed. You need only then to download the pygame installer at Pygame releases, you will find the snow leopard installer at the bottom of the OS X section.

OS X 10.5 and below Earlier versions are running an older version of python, so you may want to install python 2.6 or 2.7 and follow that with the appropriate pygame installer from Pygame releases

Linux

If you are running a recent version of your distro, chances are you may already have python 2.6 or 2.7 installed. If that is the case you can go ahead and install pygame using your package manager (in the case of ubuntu the package is python-pygame).